Subject: Re: [PATCH] gitweb: Change feeds from commit to commitdiff output.

From: Jakub Narebski <[email-masked]>
Date: Fri, 11 Jan 2008 03:12:03 -0800 (PST)

Florian La Roche <[email-masked]> writes:

> [PATCH] gitweb: Change feeds from commit to commitdiff output.
> 
> Change feeds from displaying the commit to displaying the commitdiff
> output. This way the patches are shown directly and code review is
> done more easily via watching feeds.

First, this changes _link_, and not display (change summary), so the
commit message IMHO should read rather:

	gitweb: Change feeds link from commit view to commitdiff view.
	
	Change feed link from link to commit view to link to commitdiff
	view. This way the patches are shown directly and code review is
	done more easily via watching feeds.

I personally do not use gitweb feeds not feed readers, so I cannot say
if this change truly helps. I just don't know what the "feed watcher"
workflow looks like.

Second, at least for Atom format it is possible to give both 'commit'
and 'commitdiff' view links as alternate links for a feed. That is
something to consider.

> --- a/gitweb/gitweb.perl
> +++ b/gitweb/gitweb.perl
> @@ -5566,7 +5566,7 @@ XML
>  			or next;
>  
>  		# print element (entry, item)
> -		my $co_url = href(-full=>1, action=>"commit", hash=>$commit);
> +		my $co_url = href(-full=>1, action=>"commitdiff", hash=>$commit);
>  		if ($format eq 'rss') {

-- 
Jakub Narebski
Poland
ShadeHawk on #git